Show / Hide Table of Contents

# Class MNKGauge

In-memory MNK job gauge.

##### Inheritance

System.Object
JobGaugeBase
JobGaugeBase<MonkGauge>
MNKGauge

##### Inherited Members

JobGaugeBase.Address
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.JobGauge.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class MNKGauge : JobGaugeBase<MonkGauge>

### Properties

| Improve this Doc View Source

#### BeastChakra

Gets the types of Beast Chakra available.

##### Declaration

    public BeastChakra[] BeastChakra { get; }

##### Property Value

Type | Description
--- | ---
BeastChakra[] |

##### Remarks

This will always return an array of size 3, inactive Beast Chakra are represented by NONE.

| Improve this Doc View Source

#### BlitzTimeRemaining

Gets the time remaining that Blitz is active.

##### Declaration

    public ushort BlitzTimeRemaining { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Chakra

Gets the amount of Chakra available.

##### Declaration

    public byte Chakra { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Nadi

Gets the types of Nadi available.

##### Declaration

    public Nadi Nadi { get; }

##### Property Value

Type | Description
--- | ---
Nadi |